perl-modperl mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Hulya Gurer <hulya.gu...@varianinc.com>
Subject upgrading mod perl
Date Wed, 20 Jul 2005 19:26:38 GMT
<html>
<br>
Hello,<br><br>
My system runs on Solaris 8, perl 5.8.3.&nbsp; I am upgrading the Apache
from 2.49 to 2.54 <br>
with &quot;./configure --prefix=/usr/local/apache2 --with-mpm=prefork
--enable-mods-shared=all --disable-auth_digest&quot;<br><br>
and mod_perl 1.99_13 to mod_perl 2.0.1 with <br>
&quot; perl Makefile.PL MP_AP_PREFIX=/usr/local/apache2, and
mod_perl&quot;<br><br>
In the beginning, it complained about the previous installation, then I
renamed the Apache2 directory and the Apache2.pm,<br>
but despite having no errors on the installation, it never created the
Apache2.pm.&nbsp; Eventually, when I tried to start<br>
the apache with mod_perl, this is what I got on the error_log, <br><br>
<font color="#008000">[Tue Jul 19 19:53:08 2005] [error] Can't locate
Apache2.pm in @INC (@INC contains:
/usr/local/lib/perl5/site_perl/5.8.3/sun4-solaris-thread-multi
/usr/local/lib/perl5/site_perl/5.8.3
/usr/local/lib/perl5/5.8.3/sun4-solaris-thread-multi
/usr/local/lib/perl5/5.8.3
/usr/local/lib/perl5/site_perl/5.8.3/sun4-solaris-thread-multi
/usr/local/lib/perl5/site_perl/5.8.3 /usr/local/lib/perl5/site_perl .
/usr/local/apache2) at /usr/local/apache2/perl/startup.pl line 25.\nBEGIN
failed--compilation aborted at /usr/local/apache2/perl/startup.pl line
25.\nCompilation failed in require at (eval 2) line 1.\n<br>
[Tue Jul 19 19:53:08 2005] [error] Can't load Perl file:
/usr/local/apache2/perl/startup.pl for server giant.server.com:0,
exiting...<br>
[Tue Jul 19 19:55:34 2005] [error] Undefined subroutine
&amp;XSLoader::load called at
/usr/local/lib/perl5/site_perl/5.8.3/sun4-solaris-thread-multi/Apache2/APR/XSLoader.pm
line 30.\nCompilation failed in require at
/usr/local/lib/perl5/site_perl/5.8.3/sun4-solaris-thread-multi/Apache2/Apache/compat.pm
line 49.\nBEGIN failed--compilation aborted at
/usr/local/lib/perl5/site_perl/5.8.3/sun4-solaris-thread-multi/Apache2/Apache/compat.pm
line 49.\nCompilation failed in require at
/usr/local/apache2/perl/startup.pl line 31.\nBEGIN failed--compilation
aborted at /usr/local/apache2/perl/startup.pl line 31.\nCompilation
failed in require at (eval 2) line 1.\n<br>
[Tue Jul 19 19:55:34 2005] [error] Can't load Perl file:
/usr/local/apache2/perl/startup.pl for server giant.server.com:0,
exiting...<br>
[Tue Jul 19 19:57:04 2005] [error] Can't locate mod_perl.pm in @INC (@INC
contains: /usr/local/lib/perl5/site_perl/5.8.3/sun4-solaris-thread-multi
/usr/local/lib/perl5/site_perl/5.8.3
/usr/local/lib/perl5/5.8.3/sun4-solaris-thread-multi
/usr/local/lib/perl5/5.8.3
/usr/local/lib/perl5/site_perl/5.8.3/sun4-solaris-thread-multi
/usr/local/lib/perl5/site_perl/5.8.3 /usr/local/lib/perl5/site_perl .
/usr/local/apache2) at
/usr/local/lib/perl5/site_perl/5.8.3/sun4-solaris-thread-multi/Apache/compat.pm
line 39.\nBEGIN failed--compilation aborted at
/usr/local/lib/perl5/site_perl/5.8.3/sun4-solaris-thread-multi/Apache/compat.pm
line 39.\nCompilation failed in require at (eval 3) line 3.\n<br>
[Tue Jul 19 19:57:04 2005] [error] Can't load Perl module Apache::compat
for server giant.server.com:0, exiting..<br><br>
</font>Seemed like, all the modules it was looking for were there except
Apache2.pm.&nbsp; So, I wonder if there is any other conflicting
file<br>
somewhere that prevents the installation place some files.&nbsp;
<br><br>
I have also read that the PerlHandler directive with some other
directives deprecated configuration directives won't be recognized<br>
by Apache, how should I take care of the PerlHandler, anything needs to
be added on the installation or httpd.conf?<br><br>
Thanks much,<br>
Hulya<br><br>
</html>


Mime
View raw message